> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/enable-the-recording-server-log.md).

# Abilitare il log del server di registrazione

Abiliti la registrazione dei log per il recording server legacy di Devolutions Server modificando il file log4net.config e riavviando i servizi Collector e Processor.

{% hint style="info" %}
Questa versione del recording server non è più supportata.
{% endhint %}

La procedura seguente descrive come abilitare l'utilità di logging per il ***Recording Server*** di Devolutions Server.

### Abilitare i log

1. Per modificare il file **log4net.config**, faccia clic sul pulsante ***Explore*** della sezione ***Recording Server*** della scheda ***Companions*** nella Devolutions Server Console.
2. Imposti il parametro file value con il percorso completo del file di log. Si assicuri che le barre rovesciate siano doppie.

{% hint style="warning" %}
Si assicuri che la cartella di destinazione dei log disponga dei diritti di scrittura.
{% endhint %}

3. Imposti il parametro level value su ALL.
4. Riavvii entrambi i servizi Collector e Processor sul server dopo ogni modifica di questi file.

{% hint style="info" %}
Si assicuri di reimpostare il valore level su ERROR e di riavviare i servizi una volta completata l'analisi.
{% endhint %}

```
<?xml version="1.0" encoding="utf-8" ?>
<log4net>
  <appender name="RollingFile" type="log4net.Appender.RollingFileAppender">
    <file value="c:\\Logs\\collector.log" />
    <appendToFile value="true" />
    <maximumFileSize value="1MB" />
    <maxSizeRollBackups value="5" />
    <layout type="log4net.Layout.PatternLayout">
      <conversionPattern value="%date %5level %logger.%method [%line] - MESSAGE: %message%newline %exception" />
    </layout>
  </appender>
  <root>
    <level value="ALL" />
    <appender-ref ref="RollingFile" />
  </root>
</log4net>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/server/it/knowledge-base/how-to-articles/enable-the-recording-server-log.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
